Summary:	Text based browser for the world wide web
Name:		lynx
Version:	2.8.3dev.22
Release:	2mdk
Copyright:	GPL
URL:		http://lynx.browser.org
Group:		Networking/WWW
Source0:	http://sol.slcc.edu/lynx/current/%{name}%{version}.tar.bz2
Source1:	%{name}.wmconfig
Source2:	lynx.lss
Patch0:		%{name}-pld.patch.bz2
Patch4:		%{name}-cfg.patch.bz2
#Patch10:	lynx-ftprfc.diff.bz2
Patch5:		lynx-tmpdir.patch.bz2
Provides:       webclient
Buildroot:	/tmp/%{name}-%{version}-root

%description
This a terminal based WWW browser. While it does not make any attempt
at displaying graphics, it has good support for HTML text formatting,
forms, and tables.

%prep
%setup  -q -n %{name}2-8-3
%patch0 -p1 
%patch4 -p0
#%patch10 -p0
%patch5 -p1


%build

CFLAGS="$RPM_OPT_FLAGS -w -D_USE_PLD -U_GNU_SOURCE " LDFLAGS=-s \
    ./configure \
	--prefix=/usr \
	--libdir=/etc \
	--enable-warnings \
	--enable-color-style \
	--enable-externs \
	--enable-internal-links \
	--enable-nsl-fork \
	--enable-persistent-cookies \
	--enable-cgi-links	\
	--with-zlib $SOCKS5 \
	--enable-prettysrc --enable-source-cache -enable-libjs \
	--enable-scrollbar --enable-read-eta --enable-file-upload
make

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/X11/wmconfig
install -d $RPM_BUILD_ROOT/usr/share/lynx/{lynx_help/keystrokes,test}

make install prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT/etc

for i in `find lynx_help test -type f `; do
	install $i $RPM_BUILD_ROOT/usr/share/lynx/$i
done

install %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/wmconfig/lynx
install %{SOURCE2} $RPM_BUILD_ROOT/etc/

strip $RPM_BUILD_ROOT/usr/bin/lynx

gzip -9fn docs/* README lynx.hlp 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/* README.gz
%doc lynx.hlp.gz

%config %verify(not size mtime md5) /etc/lynx.cfg
%config %verify(not size mtime md5) /etc/lynx.lss
%config(missingok) /etc/X11/wmconfig/lynx

%attr(755,root,root) /usr/bin/*
%attr(644,root, man) /usr/man/man1/*

/usr/share/lynx

%changelog
* Mon Apr 24 2000 Pixel <pixel@mandrakesoft.com> 2.8.3dev.22-2mdk
- add provides webclient

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 2.8.3dev.22

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- use the new group naming scheme
- use spechelper

* Mon Dec  6 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Define the TEMPDIR to ~/tmp, create it if is no here or fallback to
  /tmp is he can't.

* Sat Nov  6 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Tue Oct  5 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix wrong helpfile url (#291).

* Tue Sep  7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Fix compliance with FTP RFC (needed for wu-ftpd 2.6.0 and other servers)
- 2.8.3dev.8
- Enable file-upload feature

* Fri Aug 20 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 2.8.3dev.6

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Redefine the temporary dir to /tmp/ (definitively !!!).

* Thu Jul 15 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 2.8.3dev.4

* Wed Jun 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.8.3.2 version.
- Updated patch.

* Fri May 21 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 2.8.2pre5
- remove no-root patch

* Mon May 10 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 2.8.2pre2
- change group to Applications/Internet (used to be the only app in
  group Networking).
- handle RPM_OPT_FLAGS

* Tue May 04 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add lynx.lss files.

* Thu Apr 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adptations.

* Tue Feb 16 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [2.8.2dev.16-2d]
- build with socks5 support -- if avaiable .. 

* Tue Feb 16 1999 Artur Frysiak <wiget@usa.net>
  [2.8.2dev.16-1d]
- moved help and test files to /usr/share/lynx
- added not_for_root patch (this is bugi software, run from root account
  is dangerus)
- changed default color scheme

* Fri Feb 05 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [2.8.2dev15-2d]
- changed group,
- compressed documentation.

* Sun Jan 10 1999 Artur Frysiak <wiget@usa.net>
  [2.8.2dev.12-1d]
- added URL and Group(pl) tags

* Mon Sep 01 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [2.8-5d]
- build against glibc-2.1,
- changed Buildroot to /var/tmp/%%{name}-%%{version}-%%{release}-root,
- changed permission of lynx to 711,
- translation modified for pl.

* Sun Aug 30 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.8-5]
- added -q %setup parameter,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- URL in HELPFILE in /etc/lynx.cfh changed to localhost,
- removed INSTALLATION from %doc,
- added %attr and %defattr macros in %files (allow build package from
  non-root account).

